function f = computeObjective(X, z, y, yExpected, mu, nu, GXTP, params)
% Computing the objective...

fSL = computefSL(X, z, z, GXTP, params) + mu * computefExpected(y, yExpected) + nu * computefLocalPrior(y, yExpected);

f   = fSL;

end